Bug 114114 - spec file patch for disable pcre correctly
spec file patch for disable pcre correctly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-22 13:36 EST by kanagawa jigorou
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-23 12:19:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kanagawa jigorou 2004-01-22 13:36:06 EST
It seems that the package kdelibs in development repository
(currently, kdelibs-3.1.95) hasn't been disabled pcre option correctly.

In kdelibs.spec, it is declared

%define pcre 0

on the top, but wrote

%if %{pcre}
   --disable-pcre
%endif

in "%configure" section.
Doesn't it lack " == 0" ?


Here is diff result between original and fixed.

[jigorou@hogehost SPECS]$ diff -ru kdelibs.spec.or kdelibs.spec
--- kdelibs.spec.or     2004-01-21 20:29:45.000000000 +0900
+++ kdelibs.spec        2004-01-23 02:16:56.090542024 +0900
@@ -8,8 +8,8 @@
 %define debug 0
 %define final 0

-%define qt_version 3.2.2
-%define arts_version 1.1.94
+%define qt_version 3.2.3
+%define arts_version 1.1.95

 %define kde_major_version 3

@@ -199,7 +199,7 @@
 %if %{dnotify}
    --enable-dnotify \
 %endif
-%if %{pcre}
+%if %{pcre} == 0
    --disable-pcre \
 %endif
    --disable-rpath
[jigorou@hogehost SPECS]$
Comment 1 Ngo Than 2004-01-23 12:18:49 EST
it's fixed in 3.1.95-0.4. thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.